from enum import Enum

from pydantic import BaseModel


class RoomSize(str, Enum):
    small = "small"
    medium = "medium"
    large = "large"
    unknown = ""


class NLPResponseBase(BaseModel):
    Message: str


class MeetingInfoResponse(NLPResponseBase):
    AcceptableStartTime: str | None
    AcceptableEndTime: str | None
    MeetingDurationSeconds: int | None
    MeetingRoomSize: RoomSize | None
    Topic: str | None
    Participants: list[str]
